/*
 *----------------------------------------------------------------------
 *    T-Kernel 2.0 Software Package
 *
 *    Copyright 2011 by Ken Sakamura.
 *    This software is distributed under the latest version of T-License 2.x.
 *----------------------------------------------------------------------
 *
 *    Released by T-Engine Forum(http://www.t-engine.org/) at 2011/05/17.
 *    Modified by TRON Forum(http://www.tron.org/) at 2015/06/01.
 *
 *----------------------------------------------------------------------
 */

/*
 *      cpu_conf.h (EM1-D512)
 *      CPU-Dependent OS Configuration Information
 */

#ifndef _CPU_CONF_
#define _CPU_CONF_

/*
 * Define 1 when using MMU
 *   0: not using MMU
 *   1: using MMU
 */
#define USE_MMU                 0

/*
 * Definition of minimum system stack size
 *      Minimum system stack size when setting the system stack size
 *      per task by 'tk_cre_tsk().'
 */
#define MIN_SYS_STACK_SIZE      1024

/*
 * Maximum logical space ID
 */
#define MAX_LSID                255

#endif /* _CPU_CONF_ */
